Vue Bootstrap Social Buttons

Vue Social Buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap social buttons are buttons which are dedicated for social media usage. Font Awesome covers icons for all major platforms.

Hard to imagine a good website or app without integration with Social Media.

With MDB it's child's play. We provide you buttons for the most popular social networks.

They work the same way as regular buttons. If you need more information about regular buttons, be sure to read our Buttons Documentation.


Various sizes of buttons and icons

22 22 22 22





22 22 22 22



        
            
        <template>
          <div>
            <mdb-btn class="btn-so" icon="stack-overflow" fab size="lg">Stack overflow</mdb-btn>
            <span class="counter">22</span>
            <mdb-btn class="btn-so" icon="stack-overflow" fab>Stack overflow</mdb-btn>
            <span class="counter">22</span>
            <mdb-btn class="btn-so" icon="stack-overflow" fab size="md">Stack overflow</mdb-btn>
            <span class="counter">22</span>
            <mdb-btn class="btn-so" icon="stack-overflow" fab size="sm">Stack overflow</mdb-btn>
            <span class="counter">22</span>
            <br><br>
            <mdb-btn class="btn-fb" icon="facebook-f" fab size="lg">Facebook</mdb-btn>
            <mdb-btn class="btn-fb" icon="facebook-f" fab>Facebook</mdb-btn>
            <mdb-btn class="btn-fb" icon="facebook-f" fab size="md">Facebook</mdb-btn>
            <mdb-btn class="btn-fb" icon="facebook-f" fab size="sm">Facebook</mdb-btn>
            <br><br>
            <mdb-btn class="btn-dribbble" icon="dribbble" fab size="lg" />
            <mdb-btn class="btn-dribbble" icon="dribbble" fab />
            <mdb-btn class="btn-dribbble" icon="dribbble" fab size="md" />
            <mdb-btn class="btn-dribbble" icon="dribbble" fab size="sm" />
            <br><br>
            <mdb-btn class="btn-slack" icon="slack-hash" fab size="lg" />
            <span class="counter">22</span>
            <mdb-btn class="btn-slack" icon="slack-hash" fab />
            <span class="counter">22</span>
            <mdb-btn class="btn-slack" icon="slack-hash" fab size="md" />
            <span class="counter">22</span>
            <mdb-btn class="btn-slack" icon="slack-hash" fab size="sm" />
            <span class="counter">22</span>
            <br><br>
            <mdb-btn tag="a" floating class="btn-tw" icon="twitter" fab size="lg" />
            <mdb-btn tag="a" floating class="btn-tw" icon="twitter" fab />
            <mdb-btn tag="a" floating class="btn-tw" icon="twitter" fab size="md" />
            <mdb-btn tag="a" floating class="btn-tw" icon="twitter" fab size="sm" />
            <br><br>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab size="5x" class="pr-3" /></a>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab size="4x" class="pr-3" /></a>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab size="3x" class="pr-3" /></a>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab size="2x" class="pr-3" /></a>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab size="lg" class="pr-3" /></a>
            <a class="reddit-ic" role="button"><mdb-icon icon="reddit-alien" fab /></a>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbIcon} from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn,
              mdbIcon
            }
          }
        </script>
    
        
    

Full name social buttons MDB Pro component

Use button with social media icon to indicate an action or link within your website.

        
            
        <template>
          <div>
            <mdb-btn class="btn-fb" icon="facebook-f" fab>Facebook</mdb-btn>
            <mdb-btn class="btn-tw" icon="twitter" fab>Twitter</mdb-btn>
            <mdb-btn class="btn-gplus" icon="google-plus-g" fab>Google +</mdb-btn>
            <mdb-btn class="btn-li" icon="linkedin-in" fab>Linkedin</mdb-btn>
            <mdb-btn class="btn-ins" icon="instagram" fab>Instagram</mdb-btn>
            <mdb-btn class="btn-pin" icon="pinterest" fab>Pinterest</mdb-btn>
            <mdb-btn class="btn-vk" icon="vk" fab>Vkontakte</mdb-btn>
            <mdb-btn class="btn-so" icon="stack-overflow" fab>Stack Overflow</mdb-btn>
            <mdb-btn class="btn-yt" icon="youtube" fab>Youtube</mdb-btn>
            <mdb-btn class="btn-slack" icon="slack-hash" fab>Slack</mdb-btn>
            <mdb-btn class="btn-git" icon="github" fab>Github</mdb-btn>
            <mdb-btn class="btn-comm" icon="comments">Comments</mdb-btn>
            <mdb-btn class="btn-email" icon="envelope">Email</mdb-btn>
            <mdb-btn class="btn-dribbble" icon="dribbble" fab>Dribbble</mdb-btn>
            <mdb-btn class="btn-reddit" icon="reddit-alien" fab>Reddit</mdb-btn>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn
            }
          }
        </script>
    
        
    

Simple social buttons MDB Pro component

Use these button styles when building social media login forms using Facebook, Twitter, GitHub, Google, and Apple.

        
            
        <template>
          <div>
            <mdb-btn class="btn-fb" icon="facebook-f" fab></mdb-btn>
            <mdb-btn class="btn-tw" icon="twitter" fab></mdb-btn>
            <mdb-btn class="btn-gplus" icon="google-plus-g" fab></mdb-btn>
            <mdb-btn class="btn-li" icon="linkedin-in" fab></mdb-btn>
            <mdb-btn class="btn-ins" icon="instagram" fab></mdb-btn>
            <mdb-btn class="btn-pin" icon="pinterest" fab></mdb-btn>
            <mdb-btn class="btn-vk" icon="vk" fab></mdb-btn>
            <mdb-btn class="btn-so" icon="stack-overflow" fab></mdb-btn>
            <mdb-btn class="btn-yt" icon="youtube" fab></mdb-btn>
            <mdb-btn class="btn-slack" icon="slack-hash" fab></mdb-btn>
            <mdb-btn class="btn-git" icon="github" fab></mdb-btn>
            <mdb-btn class="btn-comm" icon="comments"></mdb-btn>
            <mdb-btn class="btn-email" icon="envelope"></mdb-btn>
            <mdb-btn class="btn-dribbble" icon="dribbble" fab></mdb-btn>
            <mdb-btn class="btn-reddit" icon="reddit-alien" fab></mdb-btn>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn
            }
          }
        </script>
    
        
    

Floating social buttons MDB Pro component

By adding .btn-floating class you can create a floating social button.

        
            
        <template>
          <div>
            <mdb-btn tag="a" size="lg" floating class="btn-fb" icon="facebook-f" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-tw" icon="twitter" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-gplus" icon="google-plus-g" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-li" icon="linkedin-in" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-ins" icon="instagram" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-pin" icon="pinterest" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-vk" icon="vk" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-so" icon="stack-overflow" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-yt" icon="youtube" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-slack" icon="slack-hash" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-git" icon="github" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-comm" icon="comments"></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-email" icon="envelope"></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-dribbble" icon="dribbble" fab></mdb-btn>
            <mdb-btn tag="a" size="lg" floating class="btn-reddit" icon="reddit-alien" fab></mdb-btn>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn
            }
          }
        </script>
    
        
    

Full name social counters MDB Pro component

22 22 22 22 22 22 22 22 22 22 22 22 22 22 22
        
            
        <template>
          <div>
            <mdb-btn class="btn-fb" icon="facebook-f" fab>Facebook</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-tw" icon="twitter" fab>Twitter</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-gplus" icon="google-plus-g" fab>Google +</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-li" icon="linkedin-in" fab>Linkedin</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-ins" icon="instagram" fab>Instagram</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-pin" icon="pinterest" fab>Pinterest</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-vk" icon="vk" fab>Vkontakte</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-so" icon="stack-overflow" fab>Stack Overflow</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-yt" icon="youtube" fab>Youtube</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-slack" icon="slack-hash" fab>Slack</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-git" icon="github" fab>Github</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-comm" icon="comments">Comments</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-email" icon="envelope">Email</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-dribbble" icon="dribbble" fab>Dribbble</mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-reddit" icon="reddit-alien" fab>Reddit</mdb-btn><span class="counter">22</span>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn
            }
          }
        </script>
    
        
    

Simple social counters MDB Pro component

22 22 22 22 22 22 22 22 22 22 22 22 22 22 22
        
            
        <template>
          <div>
            <mdb-btn class="btn-fb" icon="facebook-f" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-tw" icon="twitter" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-gplus" icon="google-plus-g" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-li" icon="linkedin-in" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-ins" icon="instagram" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-pin" icon="pinterest" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-vk" icon="vk" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-so" icon="stack-overflow" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-yt" icon="youtube" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-slack" icon="slack-hash" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-git" icon="github" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-comm" icon="comments"></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-email" icon="envelope"></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-dribbble" icon="dribbble" fab></mdb-btn><span class="counter">22</span>
            <mdb-btn class="btn-reddit" icon="reddit-alien" fab></mdb-btn><span class="counter">22</span>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbBtn
            }
          }
        </script>
    
        
    

Social icons MDB Pro component

        
            
        <template>
          <div>
            <a class="fb-ic mr-3" role="button"><mdb-icon fab icon="facebook-f" size="lg" /></a>
            <a class="tw-ic mr-3" role="button"><mdb-icon fab icon="twitter" size="lg" /></a>
            <a class="gplus-ic mr-3" role="button"><mdb-icon fab icon="google-plus-g" size="lg" /></a>
            <a class="li-ic mr-3" role="button"><mdb-icon fab icon="linkedin-in" size="lg" /></a>
            <a class="ins-ic mr-3" role="button"><mdb-icon fab icon="instagram" size="lg" /></a>
            <a class="pin-ic mr-3" role="button"><mdb-icon fab icon="pinterest" size="lg" /></a>
            <a class="vk-ic mr-3" role="button"><mdb-icon fab icon="vk" size="lg" /></a>
            <a class="so-ic mr-3" role="button"><mdb-icon fab icon="stack-overflow" size="lg" /></a>
            <a class="yt-ic mr-3" role="button"><mdb-icon fab icon="youtube" size="lg" /></a>
            <a class="slack-ic mr-3" role="button"><mdb-icon fab icon="slack-hash" size="lg" /></a>
            <a class="git-ic mr-3" role="button"><mdb-icon fab icon="github" size="lg" /></a>
            <a class="comm-ic mr-3" role="button"><mdb-icon icon="comments" size="lg" /></a>
            <a class="email-ic mr-3" role="button"><mdb-icon icon="envelope" size="lg" /></a>
            <a class="dribbble-ic mr-3" role="button"><mdb-icon fab icon="dribbble" size="lg" /></a>
            <a class="reddit-ic mr-3" role="button"><mdb-icon fab icon="reddit-alien" size="lg" /></a>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbIcon } from 'mdbvue';
          export default {
            name: 'ButtonsSocial',
            components: {
              mdbIcon
            }
          }
        </script>
    
        
    

Vue Social Buttons - API

In this section you will find advanced information about the Social Button component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbBtn } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'button' Changes button tag <mdb-btn tag="a">
color String 'default' Determines button color <mdb-btn color="primary">
outline String Changes button outline color <mdb-btn outline="primary">
size String Determines button size <mdb-btn size="lg">
block Boolean false Create block level buttons <mdb-btn block>
role String Adds role attribute to button <mdb-btn role="...">
type String Adds type attribute to button <mdb-btn type="...">
active Boolean false Adds active class <mdb-btn active>
disabled Boolean false Adds disabled class <mdb-btn disabled>
icon String Adds icon inside button <mdb-btn icon="user">
iconLeft Boolean false Determines the position of icon <mdb-btn iconLeft>
iconRight Boolean false Determines the position of icon <mdb-btn iconRight>
wavesDark Boolean false Chagnes waves shadow to dark (useful for white or transparent buttons) <mdb-btn wavesDark>
gradient String Adds gradient effect to button <mdb-btn gradient="peach">
rounded Boolean false Adds rounded effect to button <mdb-btn rounded>
floating Boolean false Adds floating effect to button <mdb-btn floating>
flat Boolean false Adds flat effect to button <mdb-btn flat>
transparent Boolean false Makes button transparent <mdb-btn transparent>
save Boolean false Usuful for save button inside select <mdb-btn save>
iconClass String Changes icon's element class inside button <mdb-btn iconClass="..." >
iconColor String Changes icon's element color <mdb-btn iconColor="..." >

Angular Bootstrap Social Buttons

Angular Social Buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap Social Buttons are components which allows you to build layouts with social features.

They work the same way as regular buttons. If you need more information about regular buttons, be sure to read our Buttons Documentation.


Full name social buttons MDB Pro component

        
            
          <!--Facebook-->
          <button type="button" mdbBtn color="fb" class="waves-light" mdbWavesEffect>
            <i class="fab fa-facebook-f left"></i>Facebook
          </button>

          <!--Twitter-->
          <button type="button" mdbBtn color="tw" class="waves-light" mdbWavesEffect>
            <i class="fab fa-twitter left"></i>Twitter
          </button>

          <!--Google +-->
          <button type="button" mdbBtn color="gplus" class="waves-light" mdbWavesEffect>
            <i class="fab fa-google-plus left"></i>Google +
          </button>

          <!--Linkedin-->
          <button type="button" mdbBtn color="li" class="waves-light" mdbWavesEffect>
            <i class="fab fa-linkedin-in left"></i>Linkedin
          </button>

          <!--Instagram-->
          <button type="button" mdbBtn color="ins" class="waves-light" mdbWavesEffect>
            <i class="fab fa-instagram left"></i>Instagram
          </button>

          <!--Pinterest-->
          <button type="button" mdbBtn color="pin" class="waves-light" mdbWavesEffect>
            <i class="fab fa-pinterest left"></i>Pinterest
          </button>

          <!--Youtube-->
          <button type="button" mdbBtn color="yt" class="waves-light" mdbWavesEffect>
            <i class="fab fa-youtube left"></i>Youtube
          </button>

          <!--Vkontakte-->
          <button type="button" mdbBtn color="vk" class="waves-light" mdbWavesEffect>
            <i class="fab fa-vk left"></i>Vkontakte
          </button>

          <!--Stack Overflow-->
          <button type="button" mdbBtn color="so" class="waves-light" mdbWavesEffect>
            <i class="fab fa-stack-overflow left"></i>Stack Overflow
          </button>

          <!--Slack-->
          <button type="button" mdbBtn color="slack" class="waves-light" mdbWavesEffect>
            <i class="fab fa-slack left"></i>Slack
          </button>

          <!--Github-->
          <button type="button" mdbBtn color="git" class="waves-light" mdbWavesEffect>
            <i class="fab fa-github left"></i>Github
          </button>

          <!--Comments-->
          <button type="button" mdbBtn color="comm" class="waves-light" mdbWavesEffect>
            <i class="fas fa-comments left"></i>Comments
          </button>

          <!--Email-->
          <button type="button" mdbBtn color="email" class="waves-light" mdbWavesEffect>
            <i class="fas fa-envelope left"></i>Email
          </button>

          <!--Dribbble-->
          <button type="button" mdbBtn color="dribbble" class="waves-light" mdbWavesEffect>
            <i class="fab fa-dribbble left"></i>Dribbble
          </button>
        
        
    

Large button

        
            
          <!--Facebook-->
          <button type="button" mdbBtn size="lg" color="fb" class="waves-light" mdbWavesEffect>
            <i class="fab fa-facebook-f left"></i>Facebook
          </button>
        
        
    

Simple social buttons MDB Pro component

        
            
          <!--Facebook-->
          <button type="button" mdbBtn color="fb" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f"></mdb-icon>
          </button>

          <!--Twitter-->
          <button type="button" mdbBtn color="tw" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="twitter"></mdb-icon>
          </button>

          <!--Google +-->
          <button type="button" mdbBtn color="gplus" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="google-plus"></mdb-icon>
          </button>

          <!--Linkedin-->
          <button type="button" mdbBtn color="li" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="linkedin-in"></mdb-icon>
          </button>

          <!--Instagram-->
          <button type="button" mdbBtn color="ins" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="instagram"></mdb-icon>
          </button>

          <!--Pinterest-->
          <button type="button" mdbBtn color="pin" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="pinterest"></mdb-icon>
          </button>

          <!--Youtube-->
          <button type="button" mdbBtn color="yt" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="youtube"></mdb-icon>
          </button>

          <!--Dribbble-->
          <button type="button" mdbBtn color="dribbble" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="dribbble" class="left"></mdb-icon>
          </button>

          <!--Vkontakte-->
          <button type="button" mdbBtn color="vk" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="vk"></mdb-icon>
          </button>

          <!--Stack Overflow-->
          <button type="button" mdbBtn color="so" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="stack-overflow"></mdb-icon>
          </button>

          <!--Slack-->
          <button type="button" mdbBtn color="slack" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="slack"></mdb-icon>
          </button>

          <!--Github-->
          <button type="button" mdbBtn color="git" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="github"></mdb-icon>
          </button>

          <!--Comments-->
          <button type="button" mdbBtn color="comm" class=" waves-light" mdbWavesEffect>
            <mdb-icon fas icon="comments"></mdb-icon>
          </button>

          <!--Email-->
          <button type="button" mdbBtn color="email" class=" waves-light" mdbWavesEffect>
            <mdb-icon fas icon="envelope"></mdb-icon>
          </button>
        
        
    

Large button

        
            
          <!--Facebook-->
          <button type="button" mdbBtn size="lg" color="fb" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f"></mdb-icon>
          </button>
        
        
    

Floating social buttons MDB Pro component

        
            
          <!--Facebook-->
          <a type="button" mdbBtn floating="true" size="lg" color="fb" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f"></mdb-icon>
          </a>

          <!--Twitter-->
          <a type="button" mdbBtn floating="true" size="lg" color="tw" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="twitter"></mdb-icon>
          </a>

          <!--Google +-->
          <a type="button" mdbBtn floating="true" size="lg" color="gplus" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="google-plus"></mdb-icon>
          </a>

          <!--Linkedin-->
          <a type="button" mdbBtn floating="true" size="lg" color="li" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="linkedin-in"></mdb-icon>
          </a>

          <!--Instagram-->
          <a type="button" mdbBtn floating="true" size="lg" color="ins" class="waves-light" mdbWavesEffect >
            <mdb-icon fab icon="instagram"></mdb-icon>
          </a>

          <!--Pinterest-->
          <a type="button" mdbBtn floating="true" size="lg" color="pin" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="pinterest"></mdb-icon>
          </a>

          <!--Youtube-->
          <a type="button" mdbBtn floating="true" size="lg" color="yt" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="youtube"></mdb-icon>
          </a>

          <!--Dribbble-->
          <a type="button" mdbBtn floating="true" size="lg" color="dribbble" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="dribbble"></mdb-icon>
          </a>

          <!--Vkontakte-->
          <a type="button" mdbBtn floating="true" size="lg" color="vk" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="vk"></mdb-icon>
          </a>

          <!--Stack Overflow-->
          <a type="button" mdbBtn floating="true" size="lg" color="so" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="stack-overflow"></mdb-icon>
          </a>

          <!--Slack-->
          <a type="button" mdbBtn floating="true" size="lg" color="slack" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="slack"></mdb-icon>
          </a>

          <!--Github-->
          <a type="button" mdbBtn floating="true" size="lg" color="git" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="github"></mdb-icon>
          </a>

          <!--Comments-->
          <a type="button" mdbBtn floating="true" size="lg" color="comm" class="waves-light" mdbWavesEffect>
            <mdb-icon fas icon="comments"></mdb-icon>
          </a>

          <!--Email-->
          <a type="button" mdbBtn floating="true" size="lg" color="email" class="waves-light" mdbWavesEffect>
            <mdb-icon fas icon="envelope"></mdb-icon>
          </a>
        
        
    

Small button

        
            
          <!--Facebook-->
          <a type="button" mdbBtn floating="true" size="sm" color="fb" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f"></mdb-icon>
          </a>
        
        
    

Full name social counters MDB Pro component

Facebook 22 Twitter 22 Google+ 22 Linkedin 22 Instagram 22 Pinterest 22 Youtube 22 Dribbble 22 Vkontakte 22 Stack Overflow 22 Slack 22 Github 22 Comments 22 Emails 22
        
            
          <!--Facebook-->
          <a mdbBtn color="fb" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f" class="left"></mdb-icon>
            <span>Facebook</span>
          </a>
          <span class="counter">22</span>

          <!--Twitter-->
          <a mdbBtn color="tw" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="twitter" class="left"></mdb-icon>
            <span>Twitter</span>
          </a>
          <span class="counter">22</span>

          <!--Google +-->
          <a mdbBtn color="gplus" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="google-plus" class="left"></mdb-icon>
            <span>Google+</span>
          </a>
          <span class="counter">22</span>

          <!--Linkedin-->
          <a mdbBtn color="li" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="linkedin-in" class="left"></mdb-icon>
            <span>Linkedin</span>
          </a>
          <span class="counter">22</span>

          <!--Instagram-->
          <a mdbBtn color="ins" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="instagram" class="left"></mdb-icon>
            <span>Instagram</span>
          </a>
          <span class="counter">22</span>

          <!--Pinterest-->
          <a mdbBtn color="pin" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="pinterest" class="left"></mdb-icon>
            <span>Pinterest</span>
          </a>
          <span class="counter">22</span>

          <!--Youtube-->
          <a mdbBtn color="yt" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="youtube" class="left"></mdb-icon>
            <span>Youtube</span>
          </a>
          <span class="counter">22</span>

          <!--Dribbble-->
          <a mdbBtn color="dribbble" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="dribbble" class="left"></mdb-icon>
            <span>Dribbble</span>
          </a>
          <span class="counter">22</span>

          <!--Vkontakte-->
          <a mdbBtn color="vk" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="vk" class="left"></mdb-icon>
            <span>Vkontakte</span>
          </a>
          <span class="counter">22</span>

          <!--Stack Overflow-->
          <a mdbBtn color="so" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="stack-overflow" class="left"></mdb-icon>
            <span>Stack Overflow</span>
          </a>
          <span class="counter">22</span>

          <!--Slack-->
          <a mdbBtn color="slack" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="slack" class="left"></mdb-icon>
            <span>Slack</span>
          </a>
          <span class="counter">22</span>

          <!--Github-->
          <a mdbBtn color="git" class=" waves-light" mdbWavesEffect>
            <mdb-icon fab icon="github" class="left"></mdb-icon>
            <span>Github</span>
          </a>
          <span class="counter">22</span>

          <!--Comments-->
          <a mdbBtn color="comm" class=" waves-light" mdbWavesEffect>
            <mdb-icon fas icon="comments" class="left"></mdb-icon>
            <span>Comments</span>
          </a>
          <span class="counter">22</span>

          <!--Emails-->
          <a mdbBtn color="email" class=" waves-light" mdbWavesEffect>
            <mdb-icon fas icon="envelope" class="left"></mdb-icon>
            <span>Emails</span>
          </a>
          <span class="counter">22</span>
        
        
    

Simple social counters MDB Pro component

22 22 22 22 22 22 22 22 22 22 22 22 22 22
        
            
          <!--Facebook-->
          <a mdbBtn size="lg" color="fb" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Twitter-->
          <a mdbBtn size="lg" color="tw" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="twitter"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Google +-->
          <a mdbBtn size="lg" color="gplus" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="google-plus"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Linkedin-->
          <a mdbBtn size="lg" color="li" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="linkedin-in"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Instagram-->
          <a mdbBtn size="lg" color="ins" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="instagram"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Pinterest-->
          <a mdbBtn size="lg" color="pin" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="pinterest"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Youtube-->
          <a mdbBtn size="lg" color="yt" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="youtube"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Dribbble-->
          <a mdbBtn size="lg" color="dribbble" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="dribbble" class="eft"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Vkontakte-->
          <a mdbBtn size="lg" color="vk" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="vk" class="fab fa-vk"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Stack Overflow-->
          <a mdbBtn size="lg" color="so" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="stack-overflow"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Slack-->
          <a mdbBtn size="lg" color="slack" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="slack"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Github-->
          <a mdbBtn size="lg" color="git" class="  waves-light" mdbWavesEffect>
            <mdb-icon fab icon="github"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Comments-->
          <a mdbBtn size="lg" color="comm" class="  waves-light" mdbWavesEffect>
            <mdb-icon fas icon="comments"></mdb-icon>
          </a>
          <span class="counter">22</span>

          <!--Emails-->
          <a mdbBtn size="lg" color="email" class="  waves-light" mdbWavesEffect>
            <mdb-icon fas icon="envelope"></mdb-icon>
          </a>
          <span class="counter">22</span>
        
        
    

Social icons MDB Pro component

        
            
          <!--Facebook-->
          <a class="icons-sm fb-ic"><mdb-icon fab icon="facebook-f"></mdb-icon></a>

          <!--Twitter-->
          <a class="icons-sm tw-ic"><mdb-icon fab icon="twitter"></mdb-icon></a>

          <!--Google +-->
          <a class="icons-sm gplus-ic"><mdb-icon fab icon="google-plus"></mdb-icon></a>

          <!--Linkedin-->
          <a class="icons-sm li-ic"><mdb-icon fab icon="linkedin-in"></mdb-icon></a>

          <!--Instagram-->
          <a class="icons-sm ins-ic"><mdb-icon fab icon="instagram"></mdb-icon></a>

          <!--Pinterest-->
          <a class="icons-sm pin-ic"><mdb-icon fab icon="pinterest"></mdb-icon></a>

          <!--Vkontakte-->
          <a class="icons-sm vk-ic"><mdb-icon fab icon="vk"></mdb-icon></a>

          <!--Youtube-->
          <a class="icons-sm yt-ic"><mdb-icon fab icon="youtube"></mdb-icon></a>

          <!--Dribbble-->
          <a class="icons-sm dribbble-ic"><mdb-icon fab icon="dribbble"></mdb-icon></a>

          <!--Stack Overflow-->
          <a class="icons-sm so-ic"><mdb-icon fab icon="stack-overflow"></mdb-icon></a>

          <!--Slack-->
          <a class="icons-sm slack-ic"><mdb-icon fab icon="slack"></mdb-icon></a>

          <!--Github-->
          <a class="icons-sm git-ic"><mdb-icon fab icon="github"></mdb-icon></a>

          <!--Comments-->
          <a class="icons-sm comm-ic"><mdb-icon fas icon="comments"></mdb-icon></a>

          <!--Email-->
          <a class="icons-sm email-ic"><mdb-icon fas icon="envelope"></mdb-icon></a>
        
        
    

Facebook Share button MDB Pro component

Live example

This is the first and simplest example. It is included in every example below

Share button on Facebook together with a counter to how many shares a given page has in it. In order to use this example, you must have a development account on Facebook.

        
            
          <a mdbBtn color="fb" class="waves-light" (click)="share()" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f" class="left"></mdb-icon>
            <span>Share on Facebook!</span>
          </a>
          <span class="counter">{{ shareCounter }}</span>
        
        
    
        
            
          import { Http } from '@angular/http';
          import { Component, OnInit } from '@angular/core';
          import { FacebookService, InitParams } from 'ngx-facebook';
          @Component({
            selector: 'facebook-share',
            templateUrl: './facebook-share.component.html',
            styleUrls: ['./facebook-share.component.scss'],
          })
          export class FacebookShareComponent implements OnInit {

            shareCounter: number = 0;

            constructor(private fb: FacebookService, private http: Http) {
              const initParams: InitParams = {
                appId: 'your-facebook-app-id',
                xfbml: true,
                version: 'v3.1'
              };
              fb.init(initParams);
            }

            share() {
              this.fb.ui({
                method: 'share',
                action_type: 'og.shares',
                action_properties: JSON.stringify({
                  object: {
                    'og:url': 'https://mdbootstrap.com/docs/angular',
                    'og:title': 'My favorite Angular site!',
                    'og:site_name': 'This is my Angular share function',
                    'og:description': 'This is share from my favorite Angular site!',
                  }
                })
              }).then((data: any) => {
                console.log(data);
              }).catch((error: any) => {
                console.log(error);
              });
            }

            ngOnInit() {
              const httpUrl = 'http://www.mdbootstrap.com';

              this.http.get('https://graph.facebook.com/?ids=' + `${httpUrl}`).subscribe((data: any) => {
                this.shareCounter = data.json()[`${httpUrl}`].share.share_count;
              });
            }
          }
        
        
    

Mixed Facebook share counters MDB Pro component

Live example

Second example. Its solutions are set out in the next example.

The number of shares on Facebook is separate for the protocols http:// and https://. In order to accumulate the total amount of shares on your site, you need to add both values to each other. To do so, you should perform the following for the request, one for the protocol http://, and the other one for the protocol https://

        
            
          <a mdbBtn color="fb" class="waves-light" (click)="share()" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f" class="left"></mdb-icon>
            <span>Share on Facebook!</span>
          </a>
          <span class="counter">{{ shareCounter }}</span>
        
        
    
        
            
          import { Http } from '@angular/http';
          import { Component, OnInit } from '@angular/core';
          import { FacebookService, InitParams } from 'ngx-facebook';
          @Component({
            selector: 'mixed-share-counter',
            templateUrl: './mixed-share-counter.component.html',
            styleUrls: ['./mixed-share-counter.component.scss'],
          })
          export class MixedShareCounterComponent implements OnInit {

            shareCounter: number = 0;

            constructor(private fb: FacebookService, private http: Http) {
              const initParams: InitParams = {
                appId: 'your-facebook-app-id',
                xfbml: true,
                version: 'v3.1'
              };
              fb.init(initParams);
            }

            ngOnInit() {
              const httpUrl = 'http://mdbootstrap.com';
              const httpsUrl = 'https://mdbootstrap.com';

              let httpShareCounter = 0;
              let httpsShareCounter = 0;

              // HTTP Share counter
              this.http.get('https://graph.facebook.com/?ids=' + `${httpUrl}`).subscribe((data: any) => {
                httpShareCounter = data.json()[`${httpUrl}`].share.share_count;
              });

              // HTTPS Share counter
              this.http.get('https://graph.facebook.com/?ids=' + `${httpsUrl}`).subscribe((data: any) => {
                httpsShareCounter += data.json()[`${httpsUrl}`].share.share_count;
              });
              setTimeout(() => {
                this.shareCounter = httpShareCounter + httpsShareCounter;
              }, 500);
            }
          }
        
        
    

Removing parameters from URL MDB Pro component

Live example

Third example. It contains the above two examples.

The Graph Facebook API does not allow you to use query parameters in the searched URL while executing a query. For this purpose, if the URL of the page you want to check looks similar to: http://example.com?parameter=true, you have to get rid of all the query parameters.

        
            
          <a mdbBtn color="fb" class="waves-light" (click)="share()" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f" class="left"></mdb-icon>
            <span>Share on Facebook!</span>
          </a>
          <span class="counter">{{ shareCounter }}</span>
        
        
    
        
            
          import { Http } from '@angular/http';
          import { Component, OnInit } from '@angular/core';
          import { FacebookService, InitParams } from 'ngx-facebook';
          @Component({
            selector: 'query-parameters',
            templateUrl: './query-parameters.component.html',
            styleUrls: ['./query-parameters.component.scss'],
          })
          export class QueryParametersComponent implements OnInit {

            shareCounter: number = 0;

            constructor(private fb: FacebookService, private http: Http) {
              const initParams: InitParams = {
                appId: 'your-facebook-app-id',
                xfbml: true,
                version: 'v3.1'
              };
              fb.init(initParams);
            }

            ngOnInit() {
              let httpUrl = 'http://mdbootstrap.com/?parameter=true&other=false';
              let httpsUrl = 'https://mdbootstrap.com/?parameter=true&other=false';

              let httpShareCounter = 0;
              let httpsShareCounter = 0;

              const httpQuery = httpUrl.indexOf('?') || httpUrl.indexOf('&');
              const httpsQuery = httpUrl.indexOf('?') || httpUrl.indexOf('&');
              httpUrl = httpUrl.substring(0, httpQuery != -1 ? httpQuery : httpUrl.length);
              httpsUrl = httpsUrl.substring(0, httpsQuery != -1 ? httpsQuery : httpsUrl.length);

              // HTTP Share counter
              this.http.get('https://graph.facebook.com/?ids=' + `${httpUrl}`).subscribe((data: any) => {
                httpShareCounter = data.json()[`${httpUrl}`].share.share_count;
              });

              // HTTPS Share counter
              this.http.get('https://graph.facebook.com/?ids=' + `${httpsUrl}`).subscribe((data: any) => {
                httpsShareCounter += data.json()[`${httpsUrl}`].share.share_count;
              });
              setTimeout(() => {
                this.shareCounter = httpShareCounter + httpsShareCounter;
              }, 500);
            }
          }
        
        
    

Facebook likes counter MDB Pro component

Live example

The page likes counter is available via the Facebook Graph API. To obtain it you will need access_token of your Facebook application.

        
            
          <a mdbBtn color="fb" class="waves-light" mdbWavesEffect>
            <mdb-icon fab icon="facebook-f" class="left"></mdb-icon>
            <span>Likes Counter</span>
          </a>
          <span class="counter">{{ likeCounter }}</span>
        
        
    
        
            
          import { Http } from '@angular/http';
          import { Component, OnInit } from '@angular/core';
          import { FacebookService, InitParams } from 'ngx-facebook';
          @Component({
            selector: 'likes-counter',
            templateUrl: './likes-counter.component.html',
            styleUrls: ['./likes-counter.component.scss'],
          })
          export class LikesCounterComponent implements OnInit {

            likeCounter: number = 0;

            constructor(private fb: FacebookService, private http: Http) {
              const initParams: InitParams = {
                appId: 'your-facebook-app-id',
                xfbml: true,
                version: 'v3.1'
              };
              fb.init(initParams);
            }

            ngOnInit() {
              const httpUrl = 'http://mdbootstrap.com';
              const accessToken = 'your-facebook-app-access-token';

              // Like counter
              this.http.get('https://graph.facebook.com/?ids=' + `${httpUrl}`
                + '&access_token=' + `${accessToken}`
                + '&fields=og_object{engagement}').subscribe((data: any) => {
                  this.likeCounter = data.json()[`${httpUrl}`].og_object.engagement.count;
                });
            }
          }
        
        
    

Angular Social Buttons - API

In this section you will find informations about required modules and proper configuration of Social Buttons component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ButtonsModule, InputsModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { ButtonsModule, InputsModule } from 'angular-bootstrap-md'
        
        
    
        
            
          import { FacebookModule } from 'ngx-facebook'
        
        
    

Add FacebookModule.forRoot() in the imports array, in the app.module.ts file.

        
            
        npm i --save ngx-facebook
      
        
    
        
            
        // For MDB Angular Pro
        import { FacebookModule } from 'ngx-facebook';
      
        
    
        
            
        @NgModule({
          imports: [
          ...
          FacebookModule.forRoot(),
          ...
          ],
        })
      
        
    

Add below code to head section in index.html file to get access to the Facebook API.

        
            
        <script type="text/javascript" src="https://connect.facebook.net/en_US/sdk.js"></script>
      
        
    

Creating Facebook Application and generating Access Token

Examples of acquiring data from a Facebook API require you to have an application set up and configured on Facebook. The process of creating a new Facebook application is described below.

1. Go to developers.facebook.com and log in to your Facebook account, then generate the application by clicking on the "Create new Facebook app" button. If you do not see any buttons, please go to the "Register as Developer" link.

2. Select the platform on which you are writing your application (most likely Web) and then select a name for your application. After selecting these two, go through the Quick Stars steps to generate the application.

3. From the left side menu, select the Settings tab and then the Basic tab. Fill it with the basic data that is required there. You can enter localhost in the App Domains field. You can enter http://localhost:4200 or any other address you use in your application on the dome itself in the Website URL field. Save the data, and save yourself the App ID, and the App Secret. They will be needed in the next point to generate access_token for your application.

4. Open this page and go right down the page (step 17). Enter the data you saved in the previous section in the App ID and App Secret space. This will generate the access_token required for your Facebook API. This key does not have a validity period, so you can use it at any time.

For more informations, please read the Official Creating Facebook App article.

React Bootstrap Social buttons

React Social buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap social buttons are buttons which are dedicated for social media usage. Font Awesome covers icons for all major platforms.

Hard to imagine a good website or app without integration with Social Media.

With MDB it's child's play. We provide you buttons for the most popular social networks.

They work the same way as regular buttons. If you need more information about regular buttons, be sure to read our Buttons Documentation.


Various sizes of buttons and icons MDB Pro component

22 22 22 22





22 22 22 22



        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
  
                  <span className="counter">22</span>
                  <MDBBtn social="so" size="lg">
                    <MDBIcon fab icon="stack-overflow" className="pr-1" /> Stack Overflow
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="so">
                    <MDBIcon fab icon="stack-overflow" className="pr-1" /> Stack Overflow
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="so" size="sm">
                    <MDBIcon fab icon="stack-overflow" className="pr-1" /> Stack Overflow
                  </MDBBtn>
                  <span className="counter">22</span>
  
                  <MDBBtn social="fb" size="lg">
                    <MDBIcon fab icon="facebook-f" className="pr-1" />Facebook
                  </MDBBtn>
                  <MDBBtn social="fb">
                    <MDBIcon fab icon="facebook-f" className="pr-1" />Facebook
                  </MDBBtn>
                  <MDBBtn social="fb" size="sm">
                    <MDBIcon fab icon="facebook-f" className="pr-1" />Facebook
                  </MDBBtn>
  
                  <MDBBtn social="dribbble">
                    <MDBIcon icon="dribbble" className="pr-1" />
                  </MDBBtn>
                  <MDBBtn social="dribbble">
                    <MDBIcon icon="dribbble" className="pr-1" />
                  </MDBBtn>
                  <MDBBtn social="dribbble" size="sm">
                    <MDBIcon icon="dribbble" className="pr-1" />
                  </MDBBtn>
  
                  <MDBBtn social="slack">
                    <MDBIcon fab icon="slack" className="pr-1" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="slack">
                    <MDBIcon fab icon="slack" className="pr-1" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="slack" size="sm">
                    <MDBIcon fab icon="slack" className="pr-1" />
                  </MDBBtn>
                  <span className="counter">22</span>
  
                  <MDBBtn floating social="tw" size="lg">
                    <MDBIcon fab icon="twitter" className="pr-1" />
                  </MDBBtn>
                  <MDBBtn floating social="tw">
                    <MDBIcon fab icon="twitter" className="pr-1" />
                  </MDBBtn>
                  <MDBBtn floating social="tw" size="sm">
                    <MDBIcon fab icon="twitter" className="pr-1" />
                  </MDBBtn>
  
                  <a href="#!" className="reddit-ic mr-3">
                    <MDBIcon fab icon="reddit-alien" size="5x" />
                  </a>
                  <a href="#!" className="reddit-ic mr-3">
                    <MDBIcon fab icon="reddit-alien" size="4x" />
                  </a>
                  <a href="#!" className="reddit-ic mr-3">
                    <MDBIcon fab icon="reddit-alien" size="3x" />
                  </a>
                  <a href="#!" className="reddit-ic mr-3">
                    <MDBIcon fab icon="reddit-alien" size="2x" />
                  </a>
                  <a href="#!" className="reddit-ic mr-3">
                    <MDBIcon fab icon="reddit-alien" />
                  </a>
  
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

Full name social buttons MDB Pro component

        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <MDBBtn social="fb">
                      <MDBIcon fab icon="facebook-f" className="pr-1" /> Facebook
                    </MDBBtn>
                    <MDBBtn social="tw">
                      <MDBIcon fab icon="twitter" className="pr-1" /> Twitter
                    </MDBBtn>
                    <MDBBtn social="gplus">
                      <MDBIcon fab icon="google-plus-g" className="pr-1" /> Google +
                    </MDBBtn>
                    <MDBBtn social="li">
                      <MDBIcon fab icon="linkedin-in" className="pr-1" /> Linkedin
                    </MDBBtn>
                    <MDBBtn social="ins">
                      <MDBIcon fab icon="instagram" className="pr-1" /> Instagram
                    </MDBBtn>
                    <MDBBtn social="pin">
                      <MDBIcon fab icon="pinterest" className="pr-1" /> Pinterest
                    </MDBBtn>
                    <MDBBtn social="yt">
                      <MDBIcon fab fab icon="youtube" className="pr-1" /> Youtube
                    </MDBBtn>
                    <MDBBtn social="vk">
                      <MDBIcon fab icon="vk" className="pr-1" /> Vkontakte
                    </MDBBtn>
                    <MDBBtn social="so">
                      <MDBIcon fab icon="stack-overflow" className="pr-1" /> Stack Overflow
                    </MDBBtn>
                    <MDBBtn social="slack">
                      <MDBIcon fab icon="slack" className="pr-1" /> Slack
                    </MDBBtn>
                    <MDBBtn social="git">
                      <MDBIcon fab icon="github" className="pr-1" /> Github
                    </MDBBtn>
                    <MDBBtn social="comm">
                      <MDBIcon icon="comments" className="pr-1" /> Comments
                    </MDBBtn>
                    <MDBBtn social="email">
                      <MDBIcon icon="envelope" className="pr-1" /> Email
                    </MDBBtn>
                    <MDBBtn social="dribbble">
                      <MDBIcon icon="dribbble" className="pr-1" /> Dribbble
                    </MDBBtn>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

Simple social buttons MDB Pro component

        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <MDBBtn size="lg" social="fb">
                    <MDBIcon fab icon="facebook-f" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="tw">
                    <MDBIcon fab icon="twitter" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="gplus">
                    <MDBIcon fab icon="google-plus-g" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="li">
                    <MDBIcon fab icon="linkedin-in" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="ins">
                    <MDBIcon fab icon="instagram" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="pin">
                    <MDBIcon fab icon="pinterest" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="yt">
                    <MDBIcon fab icon="youtube" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="vk">
                    <MDBIcon fab icon="vk" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="so">
                    <MDBIcon fab icon="stack-overflow" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="slack">
                    <MDBIcon fab icon="slack" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="git">
                    <MDBIcon fab icon="github" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="comm">
                    <MDBIcon icon="comments" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="email">
                    <MDBIcon icon="envelope" />
                  </MDBBtn>
                  <MDBBtn size="lg" social="dribbble">
                    <MDBIcon icon="dribbble" />
                  </MDBBtn>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

Floating social buttons MDB Pro component

        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <MDBBtn size="lg" tag="a" floating social="fb">
                    <MDBIcon fab icon="facebook-f" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="tw">
                    <MDBIcon fab icon="twitter" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="gplus">
                    <MDBIcon fab icon="google-plus-g" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="li">
                    <MDBIcon fab icon="linkedin-in" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="ins">
                    <MDBIcon fab icon="instagram" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="pin">
                    <MDBIcon fab icon="pinterest" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="yt">
                    <MDBIcon fab icon="youtube" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="vk">
                    <MDBIcon fab icon="vk" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="so">
                    <MDBIcon fab icon="stack-overflow" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="slack">
                    <MDBIcon fab icon="slack" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="git">
                    <MDBIcon fab icon="github" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="comm">
                    <MDBIcon icon="comments" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="email">
                    <MDBIcon icon="envelope" />
                  </MDBBtn>
                  <MDBBtn size="lg" tag="a" floating social="dribbble">
                    <MDBIcon icon="dribbble" />
                  </MDBBtn>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

Full name social counters MDB Pro component

22 22 22 22 22 22 22 22 22 22 22 22 22 22 22
        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <MDBBtn social="fb">
                    <MDBIcon fab icon="facebook-f" className="pr-1" /> Facebook
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="tw">
                    <MDBIcon fab icon="twitter" className="pr-1" /> Twitter
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="gplus">
                    <MDBIcon fab icon="google-plus-g" className="pr-1" /> Google +
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="li">
                    <MDBIcon fab icon="linkedin-in" className="pr-1" /> Linkedin
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="ins">
                    <MDBIcon fab icon="instagram" className="pr-1" /> Instagram
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="pin">
                    <MDBIcon fab icon="pinterest" className="pr-1" /> Pinterest
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="yt">
                    <MDBIcon fab icon="youtube" className="pr-1" /> Youtube
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="vk">
                    <MDBIcon fab icon="vk" className="pr-1" /> Vkontakte
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="so">
                    <MDBIcon fab icon="stack-overflow" className="pr-1" /> Stack Overflow
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="slack">
                    <MDBIcon fab icon="slack" className="pr-1" /> Slack
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="git">
                    <MDBIcon fab icon="github" className="pr-1" /> Github
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="comm">
                    <MDBIcon icon="comments" className="pr-1" /> Comments
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="email">
                    <MDBIcon icon="envelope" className="pr-1" /> Email
                    </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn social="dribbble">
                    <MDBIcon icon="dribbble" className="pr-1" /> Dribbble
                    </MDBBtn>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
  
         
        
    

Simple social counters MDB Pro component

22 22 22 22 22 22 22 22 22 22 22 22 22 22 22
        
            
            import React from 'react';
            import { MDBIcon, MDBContainer, MDBBtn } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <MDBBtn size="lg" social="fb">
                    <MDBIcon fab icon="facebook-f" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="tw">
                    <MDBIcon fab icon="twitter" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="gplus">
                    <MDBIcon fab icon="google-plus-g" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="li">
                    <MDBIcon fab icon="linkedin-in" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="ins">
                    <MDBIcon fab icon="instagram" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="pin">
                    <MDBIcon fab icon="pinterest" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="yt">
                    <MDBIcon fab icon="youtube" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="vk">
                    <MDBIcon fab icon="vk" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="so">
                    <MDBIcon fab icon="stack-overflow" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="slack">
                    <MDBIcon fab icon="slack" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="git">
                    <MDBIcon fab icon="github" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="comm">
                    <MDBIcon icon="comments" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="email">
                    <MDBIcon icon="envelope" />
                  </MDBBtn>
                  <span className="counter">22</span>
                  <MDBBtn size="lg" social="dribbble">
                    <MDBIcon icon="dribbble" />
                  </MDBBtn>
                  <span className="counter">22</span>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

Social icons MDB Pro component

        
            
            import React from 'react';
            import { MDBIcon, MDBContainer } from 'mdbreact';
  
            const SocialButtonsPage = () => {
              return (
                <MDBContainer>
                  <a href="#!" className="fb-ic mr-3">
                    <MDBIcon fab icon="facebook-f" />
                  </a>
                  <a href="#!" className="tw-ic mr-3">
                    <MDBIcon fab icon="twitter" />
                  </a>
                  <a href="#!" className="gplus-ic mr-3">
                    <MDBIcon fab icon="google-plus-g" />
                  </a>
                  <a href="#!" className="li-ic mr-3">
                    <MDBIcon fab icon="linkedin-in" />
                  </a>
                  <a href="#!" className="ins-ic mr-3">
                    <MDBIcon fab icon="instagram" />
                  </a>
                  <a href="#!" className="pin-ic mr-3">
                    <MDBIcon fab icon="pinterest" />
                  </a>
                  <a href="#!" className="yt-ic mr-3">
                    <MDBIcon fab icon="youtube" />
                  </a>
                  <a href="#!" className="vk-ic mr-3">
                    <MDBIcon fab icon="vk" />
                  </a>
                  <a href="#!" className="so-ic mr-3">
                    <MDBIcon fab icon="stack-overflow" />
                  </a>
                  <a href="#!" className="slack-ic mr-3">
                    <MDBIcon fab icon="slack" />
                  </a>
                  <a href="#!" className="git-ic mr-3">
                    <MDBIcon fab icon="github" />
                  </a>
                  <a href="#!" className="comm-ic mr-3">
                    <MDBIcon icon="comments" />
                  </a>
                  <a href="#!" className="email-ic mr-3">
                    <MDBIcon icon="envelope" />
                  </a>
                  <a href="#!" className="dribbble-ic mr-3">
                    <MDBIcon fab icon="dribbble" />
                  </a>
                </MDBContainer>
              );
            }
  
            export default SocialButtonsPage;
         
        
    

React Social Buttons - API

In this section you will find advanced information about the Social Buttons component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

Social buttons are combined Buttons and Icons components, so remember to import proper modules.

        
             
          import { MDBBtn, MDBIcon } from "mdbreact";
          
        
    

API Reference: Button Properties

The table below shows the configuration options of the MDBBtn component.

Name Type Default Description Example
action Boolean false Adds btn-action class, works with Cards <MDBBtn active >
active Boolean false Adds active class <MDBBtn active >
block Boolean false Create block level buttons <MDBBtn block >
circle Boolean false Adds btn-circle class, works with stepper <MDBBtn circle >
className String Adds custom classes <MDBBtn className="customClass" >
color String default Determines button color, accepts MDB predefined color classes <MDBBtn color="primary" >
disabled Boolean false Disables button from being clicked <MDBBtn disabled >
download String Adds download attribute with provided url <MDBBtn download="https://link_to_your_file.com" >
flat Boolean false Adds flat effect to button - button without backgorund and borders <MDBBtn flat >
floating Boolean false Adds floating effect to button <MDBBtn floating >
gradient String Adds gradient background to button, accepts MDB predefined gradients <MDBBtn gradient="peach" >
href String Adds href attribute with provided url and converts <button> tag into <a> tag <MDBBtn gradient="peach" >
innerRef Object Allows to pass Ref object, which will attach to rendered button or a DOM element <MDBBtn innerRef={this.buttonRef} >
outline Boolean false Renders button with outline, color property determines outline color <MDBBtn outline >
role String button Adds role attribute to button <MDBBtn role="..." >
rounded Boolean false Adds rounded corners effect to button <MDBBtn rounded >
size String medium Determines button size, available values: [sm, lg], medium by default <MDBBtn size="lg" >
social String Sets background color <MDBBtn social="fb" >
tag String button Changes default tag <MDBBtn tag="a" >
target String _self If used as link, sets target attribute <MDBBtn href="..." target="_blank" >
type String button Adds type attribute to button <MDBBtn type="submit" >

API Reference: Icon Properties

The table below shows the configuration options of the MDBIcon component.

Name Type Default Description Example
border Boolean false Adds border around icon <MDBIcon border >
className String Adds custom classes <MDBIcon className="customClass" >
fixed Boolean false Sets fixed with of icons (f.e. inside list) <MDBIcon fixed >
flip String Flips icon; acceptable props: horizontal or vertical <MDBIcon flip="horizontal" >
icon String Required! The Fontawesome icon name, which you want to use Icons list <MDBIcon icon="chevron" >
inverse Boolean false Sets alternative icon color <MDBIcon inverse >
list Boolean false Use inside list with class fa-ul to replace bullets with icons <MDBListGroup className="fa-list"> <MDBIcon list /> </MDBListGroup>
pull String Pulls icon to the right or left <MDBIcon pull="right" >
pulse Boolean false Rotates icon in 8 steps <MDBIcon pulse >
rotate String Rotates icon by 90, 180 or 270 degrees <MDBIcon rotate="270" >
size String Increse icon size; accepts parameters: [lg, 2x, 3x, 4x, 5x] <MDBIcon size="3x" >
spin Boolean false Spins the icon, you can combine this prop with pulse <MDBIcon spin >
stack String Use class fa-stack on wrapper to stack multiple icons; use 1x for regulary sized icon and 2x for larger one <span className="fa-stack"> <MDBIcon far icon="square" stack="2x" /> <MDBIcon fab icon="twitter" stack="1x" /> </span>